UCLAMPSET(1)

NAMN
uclampset - manipulerar systemets eller processens användningsklämmningsattribut

SYNOPSIS

uclampset [options] [-m minimum] [-M maximum] -p PID

uclampset [options] [-m minimum] [-M maximum] command [argument...]

BESKRIVNING

uclampset anger eller hämtar attributen för användningsklämman för ett befintligt PID, eller kör kommando med de angivna attributen.

Utilization clamping är en ny funktion som lades till i v5.3. Den ger en ledtråd till schemaläggaren om det tillåtna intervallet för utnyttjandet som uppgiften bör arbeta med.

Användningen av uppgiften påverkar frekvensval och placering av uppgiften. Endast schedutil cpufreq-styrfaktorn förstår att hantera util clamp hints i skrivande stund. Se kärnans dokument för mer information om stöd för andra cpufreq-guvernörer.

Om du kör på ett asymmetriskt heterogent system som Arms big.LITTLE. Utilization clamping kan hjälpa till att förskjuta uppgiftsplaceringen. Om uppgiften boostas så att util_min-värdet är högre än de små kärnornas kapacitet, kommer schemaläggaren att göra sitt bästa för att placera den på en stor kärna.

På samma sätt, om util_max är mindre än eller lika med kapaciteten hos de små kärnorna, kan schemaläggaren fortfarande välja att placera den där även om det faktiska utnyttjandet av uppgiften är max.

Om du ställer in en uppgifts uclamp_min till ett nollvärde ökar uppgiften effektivt eftersom den alltid startar från det här utnyttjandegraden när den körs.

Genom att ställa in en uppgifts uclamp_max under 1024, kommer detta effektivt att begränsa uppgiften eftersom den aldrig kommer att kunna gå över detta användningsvärde när den körs.

Det fullständiga användningsområdet är: [0:1024]. Specialvärdet -1 används för att återställa till systemets standardinställning.

Läs den senaste dokumentationen för kärnan för mer information:

    https://kernel.org/doc/html/latest/scheduler/sched-util-clamp.html

FLAGGOR

-m
    Ställ in util_min-värdet.

-M
    Ställ in util_max-värdet.

-a, --all-tasks
    Ställ in eller hämta attributen för användningsbegränsning för alla uppgifter (trådar) för en given PID.

-p, --pid
    Arbeta med en befintlig PID och starta inte en ny uppgift.

-s, --system
    Ställ in eller hämta de systemomfattande attributen för klämning av utnyttjandegrad.

-R, --reset-on-fork
    Sätt flaggan SCHED_FLAG_RESET_ON_FORK.

-v, --verbose
    Visa statusinformation.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANVÄNDNING

Standardbeteendet är att köra ett nytt kommando:
    uclampset [-m uclamp_min] [-M uclamp_max] kommando [arguments]

Du kan också hämta attributen för fastspänning av en befintlig uppgift:
    uclampset -p PID

Eller ställ in dem:
    uclampset -p PID [-m uclamp_min] [-M uclamp_max]

Eller styra de systemomfattande attributen:
    uclampset -s [-m uclamp_min] [-M uclamp_max] [-m uclamp_max]

TILLSTÅND

En användare måste ha CAP_SYS_NICE för att ändra schemaläggningsattributen för en process. Alla användare kan hämta schemaläggningsinformation.

ANTECKNINGAR

De systemomfattande utilization clamp-attributen är till för att styra det tillåtna intervallet som uppgifterna kan använda. Som standard är både uclamp_min och uclamp_max inställda på 1024. Detta innebär att användare kan ställa in värdena för användningsklämman för sin uppgift över hela intervallet [0:1024].

Till exempel:
    uclampset -s -m 512 -M 700

förhindrar att någon uppgift boostas högre än 512. Och alla uppgifter i systemen är begränsade till ett utnyttjande på 700. Effektivt gör detta att systemets maximala prestanda är 700.

Se dokumentationen för din kärna för exakt förväntat beteende på den kärnan.

UPPHOVSPERSONER

SE ÄVEN

nice(1), renice(1), taskset(1), sched(7)

Se sched_setscheduler(2) och sched_setattr(2) för en beskrivning av Linux schemaläggningssystem.

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot uclampset ingår i paketet util-linux som kan hämtas från